## fheroes2 0.6.2080-maemo-3

=== src/tools/Makefile ===
# makefile
# project: Free Heroes2 Tools
#

TARGETS := extractor 82m2wav til2img icn2img xmi2mid
LIBENGINE := ../engine/libengine.a
LIBS := $(LIBENGINE) $(LIBS)
CFLAGS := $(CFLAGS) -I../engine

all: $(TARGETS)

$(TARGETS): $(addsuffix .cpp, $(TARGETS)) $(LIBENGINE)
	$(CXX) -c $@.cpp $(CFLAGS)
	$(CXX) -o $@ $@.o $(LIBS)

.PHONY: clean

clean:
	rm -f *.o *.exe $(TARGETS)

=== debian/changelog ===
fheroes2 (0.6.2080-maemo-3) stable; urgency=low

  * latest revision 2080, removed .svn

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fr, 23 Mar 2012 17:41:00 +0300

fheroes2 (0.6.2080-maemo-2) stable; urgency=low

  * latest revision 2080, removed .svn

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fr, 23 Mar 2012 17:41:00 +0300

fheroes2 (0.6.2080-maemo-1) stable; urgency=low

  * latest revision 2080

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue, 31 Aug 2010 00:09:58 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp
	$(MAKE) WITH_AI=simple RELEASE=1

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/fheroes2" install
	mkdir -p "$(CURDIR)/debian/fheroes2"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/maps/"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/data/"
	cp -a "instsrc/opt/fheroes2/files/" "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/AUTHORS" "$(CURDIR)/debian/fheroes2/opt/fheroes2/AUTHORS"
	cp -a "fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/COPYING" "$(CURDIR)/debian/fheroes2/opt/fheroes2/COPYING"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/README"
	# mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	# cp -a "instsrc/opt/fheroes2/fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/fheroes2.key" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2.key"
	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
	cp -a "instsrc/opt/fheroes2/fheroes2_default.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.cfg"
	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/"
	cp -a "instsrc/usr/share/applications/hildon/fheroes2.desktop" "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/fheroes2.desktop"
	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "instsrc/usr/share/icons/hicolor/scalable/hildon/hmm2.png" "$(CURDIR)/debian/fheroes2/usr/share/icons/hicolor/scalable/hildon/hmm2.png"
	mkdir -p "$(CURDIR)/debian/fheroes2/usr/bin/"
	cp -a "instsrc/usr/bin/fheroes2.sh" "$(CURDIR)/debian/fheroes2/usr/bin/fheroes2.sh"
		# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fheroes2 0.6.2080-maemo-4

=== instsrc/opt/fheroes2/Makefile ===
# makefile
# project: Free Heroes2
#
# Options:
# DEBUG: build in debug mode
# RELEASE: build with addons extensions
#
# WITHOUT_ZLIB: build without zlib (disable comressed save files)
# WITHOUT_MIXER: build without SDL_mixer library
# WITHOUT_AUDIOCD: disable audio cd support
# WITHOUT_NETWORK: build without SDL_net library
# WITHOUT_UNICODE: build without unicode (disable translation and ttf font)
# WITHOUT_IMAGE: build without SDL_image library (disable cache image, icn2png)
# WITHOUT_EDITOR
# WITHOUT_XML: skip build tinyxml, used for load alt. resources
# WITH_TOOLS: build tools
# WITH_AI: empty (default), simple (Non-commercial License)
# 
# -DCONFIGURE_FHEROES2_LOCALEDIR: system locale dir
# -DCONFIGURE_FHEROES2_DATA: system fheroes2 game dir
#

TARGET	:= fheroes2
MAKE	:= make

all:
	$(MAKE) -C src WITH_AI=empty
	@cp src/dist/$(TARGET) .

clean:
	$(MAKE) -C src clean

=== debian/changelog ===
fheroes2 (0.6.2080-maemo-4) stable; urgency=low

  * latest revision 2080, improved installation

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fr, 23 Mar 2012 17:41:00 +0300

## fheroes2 0.6.2080-maemo-5

=== src/engine/Makefile ===
# makefile
# project: Free Heroes2
# libSDL C++ wrapper engine

TARGET	:= libengine

all: $(TARGET).a

$(TARGET).a: $(patsubst %.cpp, %.o, $(wildcard *.cpp)) 
	$(AR) crvs $@ $^

%.o: %.cpp
	$(CXX) -c -MD $< $(CFLAGS)

include $(wildcard *.d)

.PHONY: clean

clean:
	rm -f *.a *.so *.d *.o

=== instsrc/opt/fheroes2/files/lang/cs/LC_MESSAGES/Makefile ===
#
# makefile
#

all:
	msgmerge -U fheroes2.po ../../fheroes2.pot
	msgfmt fheroes2.po -o fheroes2.mo

=== debian/changelog ===
fheroes2 (0.6.2080-maemo-5) stable; urgency=low

  *  removed bug from postinst script

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sa, 24 Mar 2012 8:41:00 +0300 

=== debian/control ===
Source: fheroes2
Section: user/games
Priority: extra
Maintainer: Marcus Wikstrom <mece@ovi.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, libpng12-dev, gettext
Standards-Version: 3.7.2

Package: fheroes2
Maemo-Display-Name: Free Heroes 2
Architecture: any
Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
Description: Free Heroes 2
 Free implementation of Heroes of the Might and Magic II engine.
 You will need the map and data files from the original game to play. You can also download the Free Heroes 2 demodata package to try it out.
XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi/?product=Free%20Heroes%202
XB-Maemo-Display-Name: Free Heroes 2
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAVLklEQVR42sVa
 CZhcVZU+p/aqrup939Ld6YTskM4mISFsgoggCogoiDroKCgGMcgksmQc0Egw
 gIIGJhCWoCjJOAHlMywBElkSshACnQjZujtJ70t1dW3vvTr+53a1NtEojs5M
 8d28fvVu3Xv+c/6z3QfTP/ETCoUYF8bHa1lWQETceuN2u+2cnJykx+Ox8Lcc
 PnxY/ll78j+6gM/n80LGIgg2AwLP93q9E/x+f1U4HC7C3wEMguBJ27Z70un0
 4WQyucdxnJdxvx3PegDG+n8BgM3DEPpMCP3ZYDB4RmVlZWF+fr6qnyAop1Ip
 gRUok8moBQSgCPMYVhJcCc9729vbX+js7FyDOc/hOvR/AkAFh5AXuVyub5aV
 lU2rqKggaJVaWlpoYGCA8L0KSiowNG8AASQpGJ0HwQmAqLi4mPS3hYWFFI1G
 dx08ePCHmLO2u7s79r8CAIK7cZkJAX8AwedD49TW1sZHjx4V8JtAGXa53OLz
 BElsD6dTIi5x04cvmM0QXPr6+gga597eXsN/0Gjkb66qqhKsSf39/ZtaW1u/
 jb22AojzTwMAngdwuRoL3zplypQwBCFsREVFRezz+kXSASrJq+MJjdOkML+U
 hmIWADgS8vjp/qcX6R4CmlAsFmP8TjZt2kTr16/n5uZmwZoGiFqmtraWA4HA
 IPziFljjp7Bo4h8GgA3yoPW7YOora2pqeMeOHRptKBLOpVS/nwp8DVRcVEV1
 9TVUVlFCtuVQT+8ApVM25Xj9tHrDkj9bUykFP6F33nmH7rvvPtqwYYOhG6yp
 llR6SU9Pz8NDQ0MLMQb+xwAgfD6E/0+Y+CJwWvbu3cswtdhDXsrJ1FHEX8Ie
 r0/yC/NpTEMlB0J+6esZoN7efrYsRyK+IK3f9kMWlZiG4+uxfyMa8bZt2+Sm
 m26id999lxOJhEBoAkUZINbh/iqMvr8bAITPgbOtqq6u/hT24UOHDkl5eQUn
 O4OS722ggD9ELnaxx+eXkrJCqm2oMjJ1dHRRd08fZwCgrtJLa178Kfbg4wIY
 ucKR6a67VvD99z8g6uSISgyLC66/gLWugh/FPjAAmNMLzf9HeXn5ImieESGo
 rKSc0h35FPFUEbwVAqgQLvIFglRRXUZ1jdWUTlp0tL2TBgZj5MU6F53von+9
 4Xzy5c0kl7ccP3BRVvi/SCuNVGvXrqXFixeb75RS6uBHjhxZjtvFAGH/TQAQ
 HvK5LkRkeWLMmDGet956iyrKKzl1JF/CrgomVRh+5mQsWIDZnxOSmroqqqmv
 4mhvVLo6uslyLL7s0yE5pamL8vJ8nFd1tpAnnwrrP4q1vZIRhq9kjO7dbtjR
 9ScLgVLy1FNP0aJFixiaV1/QYGEjcHwKlvlvjWh/C0AFAPxuxowZ9Vu2bEF4
 K6dEew6HMpXigshELkG4pBkzfSQcQJ0QlOhgkApK8nkAAJLJIZo1L5cvv3xA
 EOApMdDPyYSIL1xLdU2f4YpxZ4uTUQAOO3ZaHNthFxJdIIC84XWbiAUQtHr1
 al6+fLkgQo0AOwDfOAWgjh4XgMZ6CH9HY2PjdTCbSUqZoRB5kzWY6DbTAYIQ
 9umOFXk08eQqSqaKaNHnj1IGT+OxJH3sYj998ZvFxFYXsZ2h9JFuOtoWpUOt
 xXTOV1YTFE5tu5+l7v1vULCghionfwS/ZbIgdG5BMRKgT8M2xeNxuvnmm+m5
 555T5ybQmSDTCsh0A0KufTwA48H5LePHj8/dtWsXFxeWS6qzFKL7wFqXDLOX
 payI6UcrI1Q/q5x7OirlO1/toNhAkofiSSQ1m04+RXjeqY40zQ6R0x/j9tZ+
 Odw1luZddic3v7BcDm55ijK2GxHMI8HCSi4fO1MkdzLVTz0Fy5PmBsr6ntx4
 44303nvvmfyBUiWKBDcH1tj7ZwDwI4BzLZs4ceL1ijgcjnC8KyieTAl0TkZw
 UtbDxDWlPvrhXRmqn9vIiXixPPcrD61d1cYDg3HJYNqVVzHX1ydl+gw/UWyI
 9+7qlGDFBVQ69lTesuYaSSQ8lLS97MnEBeUeW64CWXDFcsorrWbHsZVW5PZo
 IeuSp59+ih5//HHeuXOnAlDHXgGaf0trrfcBwJcFyIJvT5gwoQKTqbiggtJd
 pXjiNpN4FOvc5KHpU4L0ua8E6eSP1mKzE+iJe96lNQ+24rlDl14hdNoCh0rw
 8+7WPurvQUINnUr5ZbXUumM9zbz0J+T2+uhn372ExBqkCxY+Rt5wEYKUB7Rl
 TdtaapBKqPXVihUrSGXSaBiJRA6jLDkREavnfQAg/CcRstYi3Rtkia4ABzIV
 kjHsNuoXzlrCBQhe8ik0vuaGPPn01+ZQKpHhm/9lp4TyfDSpKcPnnpeWoCdB
 h3Ye5aHBlNTPXwbe/47dvjypn30ldbW+zRse/Z50t+3nC669F78rhRP7NAKK
 x+3SUM0ZxFYHfvT007/m3274rWzevJlKS0u1/voEAP7qjwCUb7isnD59+pcQ
 eaistEyc9nJ2U5Ay5j8x2uCsG7P5103lJX467QwPXfKV6VRV3U8ZJ0KeHI31
 CZJUDzkIgQd3taNsECqdspjifS0UyK+k4roZlIoPUE6khNr27aHYYJSKq+og
 tDtrZFjZ7TFVq2588FAL/ejH9xorqGXgBw/i2ZdAowxn+R9BCfwK+D8FtY4U
 RsrJ3VNtMqjGfIgPC5gUasLcCJFc5GEfQuCXF46hT14S5UBxqbicJBZMMCfj
 ku4aoIO/70U890jDvO8DQC8f3feGlNRNJyud5HB+qYSKGjgFhBo62dTeYJDa
 HclC+wgPgCRTKb7nnh/LW7t309tvv82g0a7BwcEPAUBixAK1KKCac3NzQx0d
 HSIxlMf2GLiQG8u5VGK2ydZleThnjtjCzV7ySnFJgK5eFOEzPx4UTneSnbAA
 zCWD7QPU0xnn9iNDcsL86ymnbC4/fcf54kVOiOTlcFn9VKmddblJXrZyXozG
 sIH6gG3AgFakye6RRx+TnTt30YsvvsgIqUNdXV2T4QeHDABUl7MbGhpew5fm
 Pt0ZpjBXw1XhVKjpwUW4JiDg36xPZD9KJBANRduUaX5a/lCAJNZnHNGVTFFf
 xyBid5wGe5NUOf3rFEbV+uzK68h2hJQddVNOpxM/tpBSaazsqGGxugw7sVrE
 cTKGRgi39NzzL9BLL21SAKZaRY20AHM2GYFhkosmTZr0y927d6t5JNNZQgEq
 ZA97xe3yYkFiJ+OILRY75EhmmEVqA+PUOUg+V365gi+8LCqZ3naKFOVxtDMq
 sSg6tQNJ9vuQQ9yN1Hj6tZxbVCsHdr9Km35+G1dUV8nczy7nZCqmMhvaZDLD
 5Z5WqeC7GH9DSH3nnWZ54hdP0vbt201bCgCfwvMnRyzwJZQOK19//XVG3S/U
 WYUYE2aP2ytgueEmtCEZdFEAIY6xgvECdTcpKGD6/Bcy3NSUkLIaP9nxBCMq
 oSdmat7dzd6MS4aiQqd++XHOyS83Eh7+/Rv8ys+vl1Muv4+9obCoBaAkhp5E
 La69tA1T6VxEJm5pbZP7H1hlSm6EfFS9HV/AnIcNABRuV8+aNeteDVMlJUhc
 XTXk57BykrwuP9K/xzAfRQzMr96gMTpjopF6wrQmptuXpSnRlyQbTuflNNlp
 B45KsECcMigxhgbR2RWPp1OvuJN8wTxSnr/+5PXkCTdS7fTzTCOUwfq6p9oY
 yjK0Ut8Yrkzb6d6frDSdoH5ggasAYNUIha4CgPsBwFjA21dLIU8B25YtGvU9
 LsRnuLQ6WUappA4Hm1fWZLixkeXjFyZp2twgp3tjsmNLP+UVuTGfwQehg+8m
 YT5bEjGH0hZz+bjZsuBzy4jdXj781lPy3vZneMLZ3xI7rcpxWNWvUciBBbAH
 rOgYah1qOSQPrFpNaDdNrgCAP1kA5eqFJ5100rpXX32V8/LyxNtfQ7m+Muzr
 SDptaf1p6GTqXt0gM6yhSdNSfOu/D4lSHHvwkSMsW7fbdKTN4aLCJBJZhhIo
 JUJ+BQNew2ioF2XOBQtp7Icu5lj3e7Jt/VJuPOsmhFFRp4WCzAaGQuoDWuTp
 37vfbpYn1/2K9u/fr32zIOBcjOfrDICCgoImfLYiUbi0EuS+YioJjtWADK2l
 SbXgRjRyuTymkVEfRo6kT1wUpbPOipGFeRtfiNCOXUz79jHawQwaG6LSmjAt
 vuXDtPXXD5ET7yatlkNBN0VQppz7zSeQF9ro1XXfoYnn3opqFAAte7iEAAAT
 iRzL3KvCnn1+I72xbQe9+eabhJoog2Q2H47+igEArVfBAs0tLS0R1NxCsTDV
 5DQZbWs4AwjQSVSLxgjK+0CQ6bzzk3z66f3SftRNdyzP49JySwoKU3TpxUMc
 G7Slp8sir6+AHX+dbHtpI4W8NjdW+kVrntop85EcE5JyF/LEM78qqWQaGTvJ
 FjYa5r/NGfQLmeG6iB988GHpG4iSsgR9eRSNziTkgcMjFsgZO3bsSxB2Bhp3
 yc8ppWrXbHa73OZ0zbJsTluWacC1rtA+QcfsOQ5fdHFCNm/y0NHDLr7uWyls
 nkABmkSZnZLD++N0YD8SWb8t6ZRDteU+LssNiLek0WTxeGxIPvK1u1Ef5Yg5
 9AIAjTzwM7UGW2msh84vER/i7972fYlEck0YhQW2IRPPQyZOGgDIbBr/70YD
 //WXX34Z9xVUkJhEhTllJqEg1ZsoYWkEQtJRarm0H/Z7aNx4N7W1OXTidIvG
 NQ4CVJKiAwkaHLBo/zsxE40wjZJwUqVeynLRnEtvobGTZiC+o6tDntGElUqn
 zFGLal+dGEozp3gO9m85dICW/eAOjZakHRqEvxdiX4v5mT9Wo8hu58ycOfOZ
 1157zZzNSH+Ex5fMMYkknVZtWKKWsNQSWa6inzRNiS4SDLn4mmv7pDgP5XPU
 4iOtLvk9/GFCXQ80DQskwGeUO96yE+WcK26gkqo6MNIt6rja+yoAW2kDx1VA
 2Md8rwp87LFHef++faLnSNoTIAKdA2o9+75yGjTKnTp16g48rNdzzvxIETcG
 5ksklI+NsUnKgplToFI6SyvHcFNdWumka1VWO3LN1T00FB1CLefI8xtzaOoJ
 nZxGp5ZIWtCsj8fNOVf86H/nfPw6dSbRNVQplp0269lImLZZ38L38KOeblr8
 bzea40fQR+Xc19/fPwvP+98HADRywUQ3VVRU3Lp161bSs0pvrIQmVZ5sEpme
 tKVQ3yTV2Sxoy3ZMhFINaebUQjIHpXTTjASdPq+bOo4INbeeQOMqminW10vp
 BChiQeceJm8gny75zs/InxMxljQKsYcjjq47cq/XdWvX0muvvqJaN6d3cN6l
 uC79s45MPzBPzeTJk99A81yihV1uOF8ac+ZTWUE1IgJK/FTaHNQqEDU5NslW
 ksORQivvQMihKy7pROy3pPnIHDrnzABv37heEvG0nuiyuD3QdobKJszjc794
 C0KbC5FnmCp6QqHrae7RgNHa2iJLliymurox5vQONO+CD8zCs5a/2NRD6y4k
 iSWYuHTPnj0mK0vcT7NqzuNQIGJ8wABIpUaOyjmNDdXpfJ4Ue30ovlwWNZ0Y
 42kT42L7J9Kl1/+I1yy9TDyBHGqYcgZ3drZI8wu/oJMu/AZPnnu+hkmskTJ+
 Be2DNsNg9CD49ttvw55p0iNN+KUesdwMS9+uznvccyH0BEU1NTUbschUZD1B
 ZKJguoKnVc8XnydgeKnCo8mgRCKJShKmFJvOOjPOcz/UI7FYivp7Ld6y0yMD
 8fH04IaVfHDXSzJmyjx6Zf0D3Hlwr7y7cxNdsuRh9oeKDQA477BfQetqgUQ8
 QY888hC/+OJGyR76avZ9C6BOw7zev3qwlU1sC+ATv4nH4yENWyXozkvdJ9CE
 8tmoz72Gm3FwOpm1hDhpmjyljxbM7aYuNPBrfllGA4MemnvaibT80UUmdQ90
 t9M9XzvdnPmMnfVR+vAVi+ATWsCRKdiG+W9j3QT917q19PDDD+kBL+nJIJiR
 aG9vPxdgXzpW1uMBcAP5N5Ab7kBm1igBOhVJuW8i1xc1idcTGM4PyCPqTA6c
 urhkEPXPgCQzA7TtzQK24i5ZcPZM+t6DC01Ncwi975q7lnDTKWdIflk9TZw+
 G9rW5Kg1X8aU07FYgh999BF5/PE15l0Boo4gqAiEvwHyrNAe+AMByJbYAbSa
 ywDi60gcWmSZ07E8dw3VhpsojJJYv0tr/Lbh1KZmMjQwDq6h8NSzZtD3Hlpo
 SudEPKblgcngw6+bEibSoHYziRFBg5bfeTdpSa+a1/cQepSPqHMPyuAb8Zvk
 X5Lzr74fAO9CaPiXwSLXaJZUa9TV1UkkUEgFNI6KgtWoUj1oExwTkUy5AeFS
 VgqJLy3zzmiipSuvzh6pa5E2XJLgmbGe+s/gYIw3b/6d3HnnXQA3fDYKpzXv
 zxA674WSvg0Lxo8n4wd5QxOE+ZbAufWo3QdzGseuqqwivxSwP1UiYW8RYrTf
 lMIaTdK2Fn9pOfm0k2jJPVf98Z0AQICOw2G4r78Pgr8iq1at5j179gooY44Q
 o9GooKmy0XHdDcFvw48GTZefPQ35uwEgbHk0OKG5/kwwGFxaWlpaqElFZWpo
 aDBAxPKQHfOROx0ml+NHyeo1xwvzzphJNyy/0vhLAs4ZjfYhJO6hZ575LT2P
 Jn0A1aXSEqUxHThwwJQJ2Kcf69+HPX+DESU9ZPrTUBohoZD91wDo6VIQowCj
 DKMcQ88YiwGmERucjTxRA3qxvkXRQ35jkaoqBkBUnRZKiRQnh9ISyQ3TmHEV
 RqvKcU2OetYDa5q9kTD1rb05SNA4D753IKptxrODGD2jhr5i0ndlQ6OG0io9
 GoA3K3RJVvCq7FXvi7LPdOdcCF0GQUoBBDgCmnT0DBPdlhcNfoFq0pwcZN8T
 D3dW8A1NThBS9LwTv9ey2LxOwn0a/tWbFXYwO1Rg/a4boxPjaHaMzFEQsREA
 es0fJbCOilH3hdnnEYwwRihrpRDkC0J7XmjVZY4CVS3GSVMm2mRPFUz8N93e
 8Osl0Uqzr6/PArhklhrJLE2GsgJGs5pXAF0Y6PHoMEbraGuMtoArK2BxdhSN
 AlOcBZGXtcIIiEB2+EYNr74ogbAuPedXgTVJafoHKD0nsbI8Hj2OFV4F7M9q
 W4XvwDiSBTGQnavryPGc2JvVcDgrcP4xI+8Ya4wA8WaHJ6uQkfWHj900lg47
 oG6eOo7W+7PUGRl6H8vOt+mYaPT3/L8SnBXMM0pQ/7HaHwXAnQUxAsA5BsCI
 9lPZMXJvZ+dlPoBM9Afuy7Lseq3g6wAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
--- 
+++ 
@@ -51,8 +51,8 @@
 	# ======================================================
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/fheroes2" install
 	mkdir -p "$(CURDIR)/debian/fheroes2"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/maps/"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/data/"
+	#mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/maps/"
+	#mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/data/"
 	cp -a "instsrc/opt/fheroes2/files/" "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
 	cp -a "instsrc/opt/fheroes2/AUTHORS" "$(CURDIR)/debian/fheroes2/opt/fheroes2/AUTHORS"
@@ -64,7 +64,7 @@
 	# mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
 	# cp -a "instsrc/opt/fheroes2/fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	cp -a "instsrc/opt/fheroes2/fheroes2.key" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2.key"
+	cp -a "instsrc/opt/fheroes2/fheroes2_default.key" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.key"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
 	cp -a "instsrc/opt/fheroes2/fheroes2_default.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.cfg"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/"

## fheroes2 0.6.2080-maemo-6

=== debian/changelog ===
fheroes2 (0.6.2080-maemo-6) stable; urgency=low

  * improved  packaging

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 29 Mar 2012 08:20:34 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-
-
 
 CFLAGS = -Wall -g
 
@@ -53,20 +50,15 @@
 	mkdir -p "$(CURDIR)/debian/fheroes2"
 	#mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/maps/"
 	#mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/data/"
-	cp -a "instsrc/opt/fheroes2/files/" "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
+	cp -a "files/" "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
 	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	cp -a "instsrc/opt/fheroes2/AUTHORS" "$(CURDIR)/debian/fheroes2/opt/fheroes2/AUTHORS"
+	cp -a "AUTHORS" "$(CURDIR)/debian/fheroes2/opt/fheroes2/AUTHORS"
 	cp -a "fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	cp -a "instsrc/opt/fheroes2/COPYING" "$(CURDIR)/debian/fheroes2/opt/fheroes2/COPYING"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	cp -a "instsrc/opt/fheroes2/README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/README"
-	# mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	# cp -a "instsrc/opt/fheroes2/fheroes2" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	cp -a "instsrc/opt/fheroes2/fheroes2_default.key" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.key"
-	mkdir -p "$(CURDIR)/debian/fheroes2/opt/fheroes2/"
-	cp -a "instsrc/opt/fheroes2/fheroes2_default.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.cfg"
+	cp -a "COPYING" "$(CURDIR)/debian/fheroes2/opt/fheroes2/COPYING"
+	cp -a "README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/README"
+	cp -a "fheroes2_default.key" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.key"
+	cp -a "fheroes2_default.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.cfg"
+	cp -a "fheroes2_upgrade.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_upgrade.cfg"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/"
 	cp -a "instsrc/usr/share/applications/hildon/fheroes2.desktop" "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/fheroes2.desktop"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/icons/hicolor/scalable/hildon/"

## fheroes2 0.6.2080-maemo-7

=== src/Makefile ===
# makefile
# project: Free Heroes2
#

TARGET := fheroes2
SDL_LIBS := $(shell sdl-config --libs)
SDL_FLAGS := $(shell sdl-config --cflags)

CFLAGS := $(CFLAGS) -Wall -fsigned-char
LDFLAGS := $(LDFLAGS)
LIBS :=

ifdef DEBUG
CFLAGS := $(CFLAGS) -O0 -g -pedantic -DWITH_DEBUG
else
CFLAGS := $(CFLAGS) -O2
endif

ifndef WITHOUT_MIXER
CFLAGS := $(CFLAGS) -DWITH_MIXER
SDL_LIBS := $(SDL_LIBS) -lSDL_mixer
endif

ifndef WITHOUT_IMAGE
CFLAGS := $(CFLAGS) -DWITH_IMAGE $(shell libpng-config --cflags) -DWITH_ZLIB
SDL_LIBS := $(SDL_LIBS) -lSDL_image $(shell libpng-config --libs) -lz
endif

ifndef WITHOUT_UNICODE
CFLAGS := $(CFLAGS) -DWITH_TTF
SDL_LIBS := $(SDL_LIBS) -lSDL_ttf
endif

ifndef WITHOUT_NETWORK
CFLAGS := $(CFLAGS) -DWITH_NET_DISABLE
SDL_LIBS := $(SDL_LIBS) -lSDL_net
endif

ifndef WITHOUT_XML
CFLAGS := $(CFLAGS) -DWITH_XML
endif

ifndef WITHOUT_ZLIB
CFLAGS := $(CFLAGS) -DWITH_ZLIB
LIBS := $(LIBS) -lz
endif

ifndef WITHOUT_EDITOR
CFLAGS := $(CFLAGS) -DWITH_EDITOR
endif

ifdef WITH_BATTLEONLY
CFLAGS := $(CFLAGS) -DBUILD_BATTLEONLY
endif

ifdef RELEASE
CFLAGS := $(CFLAGS) -DBUILD_RELEASE
endif

CFLAGS := $(SDL_FLAGS) $(CFLAGS)
LIBS := $(SDL_LIBS) $(LIBS)

# platform specific flags
ifndef PLATFORM
ifndef OS
OS := $(shell uname)
endif

ifeq ($(OS),Windows_NT)
PLATFORM := mingw
endif
ifeq ($(OS),FreeBSD)
PLATFORM := bsd
endif
ifeq ($(OS),Darwin)
PLATFORM := osx
endif
ifeq ($(OS),Linux)
PLATFORM := all
endif
endif

include Makefile.$(PLATFORM)

export CXX AR LINK WINDRES LDFLAGS CFLAGS LIBS PLATFORM

.PHONY: clean

all:
ifndef WITHOUT_XML
	$(MAKE) -C xmlccwrap
endif
	$(MAKE) -C engine
	$(MAKE) -C dist
ifdef WITH_TOOLS
	$(MAKE) -C tools
endif
ifndef WITHOUT_UNICODE
	$(MAKE) -C dist pot
endif

clean:
	$(MAKE) -C xmlccwrap clean
	$(MAKE) -C tools clean
	$(MAKE) -C dist clean
	$(MAKE) -C engine clean

=== debian/changelog ===
fheroes2 (0.6.2080-maemo-7) stable; urgency=low

  * removed small bug in rules 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Mon,  2 Apr 2012 06:26:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: fheroes2
 Section: user/games
 Priority: extra
-Maintainer: Marcus Wikstrom <mece@ovi.com>
+Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
 Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, libpng12-dev, gettext
 Standards-Version: 3.7.2
 
 Package: fheroes2
 Maemo-Display-Name: Free Heroes 2
 Architecture: any
-Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0-0, libogg0
+Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0, libogg0
 Description: Free Heroes 2
  Free implementation of Heroes of the Might and Magic II engine.
- You will need the map and data files from the original game to play. You can also download the Free Heroes 2 demodata package to try it out.
+ You will need the map and data files from the original game to play. 
+ Copy origin DATA/*.agg  to /opt/fheroes2/data directory.
+ Copy maps files (*.mp2)  to /opt/fheroes2/maps directory.
+ You can also download the Free Heroes 2 demodata package to try it out.
 XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi/?product=Free%20Heroes%202
 XB-Maemo-Display-Name: Free Heroes 2
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 install: build

## fheroes2 0.6.2810-maemo-1

=== debian/changelog ===
fheroes2 (0.6.2810-maemo-1) stable; urgency=low

  * new upstream release 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun,  8 Apr 2012 07:12:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fheroes2
 Section: user/games
 Priority: extra
-Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
+Maintainer: Marcus Wikstr�m <mece@ovi.com>
 Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, libpng12-dev, gettext
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,6 @@
 	cp -a "README" "$(CURDIR)/debian/fheroes2/opt/fheroes2/README"
 	cp -a "fheroes2_default.key" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.key"
 	cp -a "fheroes2_default.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.cfg"
-	cp -a "fheroes2_upgrade.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_upgrade.cfg"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/"
 	cp -a "instsrc/usr/share/applications/hildon/fheroes2.desktop" "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/fheroes2.desktop"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/icons/hicolor/scalable/hildon/"

## fheroes2 0.6.2826-maemo-1

=== src/dist/Makefile ===
# makefile
# project: Free Heroes2
#

ifeq ($(PREFIX),)
PREFIX := /usr/local
endif

TARGET := fheroes2
LIBENGINE := ../engine/libengine.a
CFLAGS := $(CFLAGS) -I../engine

ifndef WITHOUT_XML
LIBENGINE := $(LIBENGINE) ../xmlccwrap/libxmlccwrap.a
CFLAGS := $(CFLAGS) -I../xmlccwrap
endif

ifdef PREFIX
CFLAGS := $(CFLAGS) -I$(PREFIX)/include
endif

RES	:=
ICOFILE	:= ../../image/fheroes2_32x32.ico

ifdef WITH_SVNREV
SVN	:= $(shell svnversion ..)
CFLAGS	:= $(CFLAGS) -DSVN_REVISION="\"$(SVN)\""
endif

ifdef WITH_ICONS
RES	:= $(TARGET).res
endif

SOURCEROOT := ../fheroes2
SOURCEDIR  := $(shell ls $(SOURCEROOT))
POT        := $(TARGET).pot
SRCDIRLIST := $(addprefix $(SOURCEROOT)/, $(SOURCEDIR))

ifdef WITH_AI
SRCDIRLIST := $(SRCDIRLIST) $(SOURCEROOT)/ai/$(WITH_AI)
else
SRCDIRLIST := $(SRCDIRLIST) $(SOURCEROOT)/ai/empty
endif

SEARCH     := $(addsuffix /*.cpp, $(SRCDIRLIST))


all: $(TARGET)

$(TARGET): $(notdir $(patsubst %.cpp, %.o, $(wildcard $(SEARCH)))) $(LIBENGINE) $(RES)
	@echo "lnk: $@"
	$(CXX) $(LDFLAGS) $^ $(LIBS) -o $@

pot: $(wildcard $(SEARCH))
	@echo "gen: $(POT)"
	@xgettext -d $(TARGET) -C -k_ -o $(POT) $(wildcard $(SEARCH))

$(RES): $(ICOFILE)
	@echo "gen: $(RES)"
	@echo "$(IDICON) ICON \"$(ICOFILE)\"" > $(TARGET).rc
	$(WINDRES) $(TARGET).rc -O coff -o $(TARGET).res

VPATH := $(SRCDIRLIST)

%.o: %.cpp
	@echo "cxx: $@"
	@$(CXX) -c -MD $(addprefix -I, $(SRCDIRLIST)) $< $(CFLAGS)

include $(wildcard *.d)

.PHONY: clean

clean:
	rm -f *.pot *.o *.d *.rc *.res *.exe $(TARGET)

=== debian/changelog ===
fheroes2 (0.6.2826-maemo-1) stable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed, 11 Apr 2012 02:36:29 -0400

fheroes2 (0.6.2814-maemo-1) stable; urgency=low

  * enable keyboard

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Mon,  9 Apr 2012 10:11:52 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/quilt/quilt.make
+
+
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -18,7 +21,7 @@
 endif
 
 configure: configure-stamp
-configure-stamp:
+configure-stamp: patch
 	dh_testdir
 	# Add here commands to configure the package.
 
@@ -32,7 +35,7 @@
 	touch build-stamp
 	$(MAKE) WITH_AI=simple RELEASE=1
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp

## fheroes2 0.6.2840-maemo-1

=== Makefile ===
# makefile
# project: Free Heroes2
#
# Options:
# DEBUG: build in debug mode
# RELEASE: build with addons extensions
#
# WITHOUT_ZLIB: build without zlib (disable comressed save files)
# WITHOUT_MIXER: build without SDL_mixer library
# WITHOUT_AUDIOCD: disable audio cd support
# WITHOUT_NETWORK: build without SDL_net library
# WITHOUT_UNICODE: build without unicode (disable translation and ttf font)
# WITHOUT_IMAGE: build without SDL_image library (disable cache image, icn2png)
# WITHOUT_EDITOR
# WITHOUT_XML: skip build tinyxml, used for load alt. resources
# WITH_TOOLS: build tools
# WITH_AI: empty (default), simple (Non-commercial License)
# 
# -DCONFIGURE_FHEROES2_LOCALEDIR: system locale dir
# -DCONFIGURE_FHEROES2_DATA: system fheroes2 game dir
#

TARGET	:= fheroes2
MAKE	:= make

all:
	$(MAKE) -C src WITH_AI=simple RELEASE=1
	@cp src/dist/$(TARGET) .

clean:
	$(MAKE) -C src clean

=== src/Makefile ===
--- 
+++ 
@@ -47,10 +47,6 @@
 
 ifndef WITHOUT_EDITOR
 CFLAGS := $(CFLAGS) -DWITH_EDITOR
-endif
-
-ifdef WITH_BATTLEONLY
-CFLAGS := $(CFLAGS) -DBUILD_BATTLEONLY
 endif
 
 ifdef RELEASE

=== src/xmlccwrap/Makefile ===
# makefile
# xml wrapper
# http://www.sourceforge.net/projects/tinyxml

TARGET	:= libxmlccwrap

all: $(TARGET).a

$(TARGET).a: $(patsubst %.cpp, %.o, $(wildcard *.cpp))
	$(AR) crvs $@ $^

%.o: %.cpp
	$(CXX) -c -MD $< $(CFLAGS)

include $(wildcard *.d)

.PHONY: clean

clean:
	rm -f *.a *.so *.d *.o

=== debian/changelog ===
fheroes2 (0.6.2840-maemo-1) stable; urgency=low

  * new upstream release 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 13 Apr 2012 13:02:55 -0400

## fheroes2 0.6.2860-maemo-1

=== debian/changelog ===
fheroes2 (0.6.2860-maemo-1) stable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Mon, 14 May 2012 08:46:36 -0400

=== debian/rules ===
--- 
+++ 
@@ -62,11 +62,11 @@
 	cp -a "fheroes2_default.key" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.key"
 	cp -a "fheroes2_default.cfg" "$(CURDIR)/debian/fheroes2/opt/fheroes2/fheroes2_default.cfg"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/"
-	cp -a "instsrc/usr/share/applications/hildon/fheroes2.desktop" "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/fheroes2.desktop"
+	cp -a "$(CURDIR)/debian/fheroes2.desktop" "$(CURDIR)/debian/fheroes2/usr/share/applications/hildon/fheroes2.desktop"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/share/icons/hicolor/scalable/hildon/"
-	cp -a "instsrc/usr/share/icons/hicolor/scalable/hildon/hmm2.png" "$(CURDIR)/debian/fheroes2/usr/share/icons/hicolor/scalable/hildon/hmm2.png"
+	cp -a "$(CURDIR)/debian/hmm2.png" "$(CURDIR)/debian/fheroes2/usr/share/icons/hicolor/scalable/hildon/hmm2.png"
 	mkdir -p "$(CURDIR)/debian/fheroes2/usr/bin/"
-	cp -a "instsrc/usr/bin/fheroes2.sh" "$(CURDIR)/debian/fheroes2/usr/bin/fheroes2.sh"
+	cp -a "$(CURDIR)/debian/fheroes2.sh" "$(CURDIR)/debian/fheroes2/usr/bin/fheroes2.sh"
 		# ======================================================
 
 # Build architecture-independent files here.

## fheroes2 0.6.2930-maemo-1

=== debian/changelog ===
fheroes2 (0.6.2930-maemo-1) stable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sat, 20 Oct 2012 06:15:18 -0400

## fheroes2 0.6.2930-maemo-2

=== debian/changelog ===
fheroes2 (0.6.2930-maemo-2) stable; urgency=low

  * bugfix 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed, 24 Oct 2012 13:25:16 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: user/games
 Priority: extra
 Maintainer: Marcus Wikstr�m <mece@ovi.com>
-Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, libpng12-dev, gettext
+Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, 
+ libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev, libogg-dev, zlib-bin, 
+ libpng12-dev, gettext, quilt
 Standards-Version: 3.7.2
 
 Package: fheroes2

## fheroes2 0.6.3011-maemo-4

=== src/Makefile ===
--- 
+++ 
@@ -43,10 +43,6 @@
 ifndef WITHOUT_ZLIB
 CFLAGS := $(CFLAGS) -DWITH_ZLIB
 LIBS := $(LIBS) -lz
-endif
-
-ifndef WITHOUT_EDITOR
-CFLAGS := $(CFLAGS) -DWITH_EDITOR
 endif
 
 ifdef RELEASE

=== src/dist/Makefile ===
--- 
+++ 
@@ -23,8 +23,10 @@
 ICOFILE	:= ../../image/fheroes2_32x32.ico
 
 ifdef WITH_SVNREV
-SVN	:= $(shell svnversion ..)
-CFLAGS	:= $(CFLAGS) -DSVN_REVISION="\"$(SVN)\""
+ifndef SVNVER
+SVNVER	:= $(shell svnversion ..)
+endif
+CFLAGS	:= $(CFLAGS) -DSVN_REVISION="\"$(SVNVER)\""
 endif
 
 ifdef WITH_ICONS

=== debian/changelog ===
fheroes2 (0.6.3011-maemo-4) stable; urgency=low

  * upload error

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 29 Mar 2013 08:39:58 -0400

fheroes2 (0.6.3011-maemo-3) stable; urgency=low

  * remove i386 version

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 29 Mar 2013 08:36:46 -0400

fheroes2 (0.6.3011-maemo-2) stable; urgency=low

  * autobuilder error

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 29 Mar 2013 08:27:29 -0400

fheroes2 (0.6.3011-maemo-1) stable; urgency=low

  * new upstream

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 29 Mar 2013 08:00:05 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: fheroes2
 Maemo-Display-Name: Free Heroes 2
-Architecture: any
+Architecture: armel
 Depends: libsdl1.2, libsdl1.2, libsdl-mixer1.2, libsdl-image1.2, libsdl-net1.2, libsdl-ttf2.0, libogg0
 Description: Free Heroes 2
  Free implementation of Heroes of the Might and Magic II engine.

## fheroes2 1.0.9+dfsg

=== debian/changelog ===
fheroes2 (1.0.9+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #1017587)
    The previous "fheroes2" package was built locally by
    the "fheroes2-pkg" utility.

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Tue, 17 Oct 2023 20:51:55 +0300

=== debian/control ===
Source: fheroes2
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
  Anatoliy Gunya <csm.sub21@gmail.com>,
  Alexandre Detiste <alexandre.detiste@gmail.com>,
Build-Depends:
  debhelper-compat (= 13),
  libsdl2-dev,
  libsdl2-mixer-dev,
  libz-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://ihhub.github.io/fheroes2/
Vcs-Git: https://github.com/ihhub/fheroes2.git
Vcs-Browser: https://github.com/ihhub/fheroes2

Package: fheroes2
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends},
Suggests:
  game-data-packager
Description: implementation of classic game Heroes of Might and Magic II
 Heroes of Might and Magic II is a classic fantasy turn-based
 strategy/role-playing game which takes place in the land of Enroth,
 a place of magic.
 There are a multitude of creature types, from griffins to rocs,
 golems to pikemen, unicorns to hydras, and four different dragons.
 Each castle type has six different creatures, from the weak
 to the strong. There are six castle types, each corresponding to
 a hero class: Knight, Sorceress, Wizard (Good side), Barbarian,
 Necromancer and Warlock (Evil side). There are also six different
 types of neutral creatures you can recruit in special structures
 scattered about the maps.
 .
 Original game files are needed to play this game.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export LC_ALL = C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_STRIP = -O2
export DEB_CXXFLAGS_MAINT_STRIP = -O2
ifeq ($(DEB_TARGET_ARCH),armel)
export DEB_LDFLAGS_MAINT_APPEND = -latomic
endif
export FHEROES2_DATA = /usr/share/games/fheroes2

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make -C docs

override_dh_auto_clean:
	make -C docs clean
	dh_auto_clean

override_dh_clean:
	dh_clean -Xsrc/thirdparty/libsmacker/smacker.c.orig -Xsrc/thirdparty/libsmacker/smacker.h.orig

## fheroes2 1.0.12%2Bdfsg

=== debian/changelog ===
fheroes2 (1.0.12+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.12+dfsg
  * Use system libsmacker instead bundled one
    The bundled library are removed
  * d/control: set minimal version for suggested gdp
  * d/copyright: refresh years
  * d/patches: refresh

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Wed, 07 Feb 2024 23:00:42 +0300

fheroes2 (1.0.11+dfsg-1) UNRELEASED; urgency=medium

  * New upstream version 1.0.11+dfsg
  * d/control: fix VCS url's

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Jan 2024 14:48:13 +0100
